#include <wx/wxprec.h>
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif
#include <wx/graphics.h>
#include <vector>
 
#ifndef BATTERY_WIDGET_INC
#define BATTERY_WIDGET_INC
 
class BatteryWidget : public wxPanel {
public:
	BatteryWidget (wxWindow* parent, wxWindowID id,
		 const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize,
		 long style = wxNO_BORDER, const wxString& name = wxPanelNameStr);
	void SetData(std::vector<double> d);
	void SetSteps(int s);
	int GetSteps();
	void SetState(int s);
	void SetState(int s, int n);
	void SetBorder(int b);
	void SetColour(const wxColour& col);
//	void SetBlink(bool b);
	void OnPaint(wxPaintEvent& event);
	void OnResize(wxSizeEvent& event);
private:
	std::vector<double> data;
	wxColor color;
	double data_total;
	int steps;
	int state;
	int border;
	bool blink;
};
 
#endif
